Subject: bug#53840: The current [email-masked] does not work with [email-masked]

From: Liliana Marie Prikler <[email-masked]>
Date: Mon, 07 Feb 2022 11:03:46 +0100

Hi,

Am Montag, dem 07.02.2022 um 09:44 +0100 schrieb Adam Maleszka:
> I'm trying to configure bitlbee-discord in order to write on Discord
> using ERC in Emacs. Unfortunately, every time I open connection to
> Discord, this error is thrown:
> 
> [...]
> I see three solutions.

> * The third solution --- patching current release
> 
> Last but not least, what about writing a patch for the current release?
> The mentioned commit does not seem complicated. I think it is the best
> solution, because it gives us more control while preserving the
> stability of the release. However, it is always extra work.
If the patch applies cleanly on 0.4.3, this is to be preferred.

> * The second solution --- requesting a new release
> 
> That said, I think it would be a good idea to request a new release
> from the author, particularly as [email-masked] is becoming more common.
> 
> However, there is no certainty that the new release would be stable,
> though.
Upstreams decide what they consider stable enough to tag as release.  I
don't think pinging them would be too bad, considering they have a
history of tagging patch releases :)

> * The first solution --- upgrade bitlbee-discord
> 
> This solution involves upgrading bitlbee-discord to the specified
> commit. I don't think it will make the package more unstable,
> especially after this post:
> https://github.com/sm00th/bitlbee-discord/issues/118#issuecomment-606856620
> 
> However, it would be good to stick to convention and only introduce
> "stable" release versions.
If all else fails, this would count as an "exceptional case" to use
commit versioning -- see `info "(guix)Version Numbers"' for more
context.  Don't forget to clearly explain the reason for the commit you
picked in a comment preceding the let-binding, i.e. as in

(define bitlbee-discord
  ;; We use this commit, because ...
  (let ((commit "deadbeef")
        (revision "1"))
    (package 
       ...
       (version (git-version "0.4.3" revision commit))
       ...)))

Of course, instead of deadbeef, use the full commit hash.

Cheers